- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Interface IValidator

IValidator interface

If a control wants to validate user input, it must implement this interface.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | getErrorMessage ()
boolean | getIsValid ()
void | setErrorMessage ( string $value)
void | setIsValid ( boolean $value)
boolean | validate () Validates certain data.

Method Details

## getErrorMessage

public string getErrorMessage | ()

Output
string | error message during last validate
Exception

## getIsValid

public boolean getIsValid | ()

Output
boolean | whether the previous validate() is successful.
Exception

## setErrorMessage

public void setErrorMessage | (string $value )

Input
string | $value | error message for the validation
Output
Exception

## setIsValid

public void setIsValid | (boolean $value )

Input
boolean | $value | whether the validator validates successfully
Output
Exception

## validate

public boolean validate | ()

Validates certain data.

The implementation of this function should validate certain data (e.g. data entered into TTextBox control).

Output
boolean | whether the data passes the validation
Exception